//
//  jailbreak.h
//  Meridian
//
//  Created by Ben Sparkes on 16/02/2018.
//  Copyright © 2018 Ben Sparkes. All rights reserved.
//

//#define DO_KPPLESS

#ifndef jailbreak_h
#define jailbreak_h

BOOL great_success;

int makeShitHappen(id view, BOOL kppless);
int runV0rtex(void);
int patchContainermanagerd(void);
int remountRootFs(void);
int extractMeridianData(void);
void setUpSymLinks(void);
void extractGz_merd(const char *from, const char *to);
int extractBootstrap(int *exitCode);
int defecateAmfi(void);
int launchDropbear(void);
void setUpSubstitute(void);
int startJailbreakd(void);
int start_jailbreakd_e(void); //electra version
int loadLaunchDaemons(void);
void enableHiddenApps(void);
void fixPerms(void);
#endif /* jailbreak_h */
